
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL技巧：创建用来按小时报告的查询 / iVAN</title>

    <meta name="description" content="SQL技巧：创建用来按小时报告的查询 创建|技巧 要创建一个可以每个小时报告的查询,首先要创建一个表格.该表格一列记录日期,而没有时间信息:另一列记录钟点.下面的表格有一列记录了不同的处理类型.例如,我们可以按小时找出处理类型的总数.  CREATE TABLE test(StartTime DATETIME NOT NULLDEFAULT CURRENT_TIMESTAMP,StartDate DATETIME NOT NULLDEFAULT CONVERT(DATETIME, CONVERT(CHAR(10),CURRENT_T">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL技巧：创建用来按小时报告的查询</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>创建|技巧</p>
<p>要创建一个可以每个小时报告的查询，首先要创建一个表格。该表格一列记录日期，而没有时间信息；另一列记录钟点。下面的表格有一列记录了不同的处理类型。例如，我们可以按小时找出处理类型的总数。 </p>
<p>CREATE TABLE test<br />(StartTime DATETIME NOT NULL<br />DEFAULT CURRENT_TIMESTAMP,<br />StartDate DATETIME NOT NULL<br />DEFAULT CONVERT(DATETIME, CONVERT(CHAR(10),CURRENT_TIMESTAMP, 110)),<br />StartHour INT NOT NULL<br />DEFAULT DATEPART(hh,CURRENT_TIMESTAMP),<br />TranType INT NOT NULL<br />CONSTRAINT ck_TranType CHECK ( TranType IN<br />( <br />1, -- insert<br />2, -- update<br />3, -- delete<br />)<br />DEFAULT 1<br />)<br />GO <br />接下来，插入test的数据来模拟一个可能的样本。</p>
<p>INSERT test (StartTime, TranType) VALUES (CURRENT_TIMESTAMP, 3)<br />INSERT test (StartTime, TranType) VALUES (CURRENT_TIMESTAMP, 2)<br />INSERT test (StartTime, TranType) VALUES (CURRENT_TIMESTAMP, 3)<br />GO</p>
<p>DECLARE @hr int<br />SET @hr = DATEPART(hh, DATEADD(hh,-1,CURRENT_TIMESTAMP) )</p>
<p>INSERT test (StartTime, TranType, StartHour) _<br />  VALUES (DATEADD(hh,-1,CURRENT_TIMESTAMP), 3, @hr)<br />INSERT test (StartTime, TranType, StartHour) _<br />  VALUES (DATEADD(hh,-1,CURRENT_TIMESTAMP), 1, @hr)<br />INSERT test (StartTime, TranType, StartHour) _<br />  VALUES (DATEADD(hh,-1,CURRENT_TIMESTAMP), 2, @hr)<br />GO </p>
<p>然后用一个查询来找出按日和小时的处理总数。</p>
<p>SELECT StartDate tran_day,<br />StartHour tran_hour<br />, CASE trantype WHEN 1 THEN 'insert'<br />WHEN 2 THEN 'update'<br />WHEN 3 THEN 'delete'<br />ELSE 'unknown'<br />END trantype,<br />COUNT(*) tran_total<br />FROM<br />Test<br />GROUP BY<br />StartDate,<br />StartHour<br />,trantype<br />ORDER BY StartDate, StartHour<br />COMPUTE SUM(COUNT(*)) BY StartDate, StartHour<br />GO<br /> <br />去掉test可以清空test表格。</p>
<p>DROP TABLE test<br />GO </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-26 04:40:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/insert/" title="insert">insert</a>, <a href="https://www.iamivan.net/tag/values/" title="values">values</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e6%a0%bc/" title="表格">表格</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>, <a href="https://www.iamivan.net/tag/dateadd/" title="dateAdd">dateAdd</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL技巧：创建用来按小时报告的查询的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myd5Jkb.html" rel="bookmark">用sql developer创建新用户出现问题。。新手，第一次用oracle，求解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用sql developer创建新用户出现问题..新手,第一次用oracle,求解 在行 2 上开始执行命令时出错: CREATE USER ##liupeng IDENTIFIED BY liupeng DEFAULT TABLESPACE &quot;USERS&quot; TEMPORARY TABLESPACE &quot;TEMP&quot; 命令出错, 行: 2 列: 13 错误报告: SQL 错误: ORA-00911: 无效字符 00911. 00000 - &quot;inva			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2K2wz.html" rel="bookmark">日常收集整理常见的mysql sql技巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接给大家贴代码了. 1,数字辅助表 //创建表 create table test(id int unsigned not null primary key); delimiter // create procedure pnum(cnt int unsigned) begin declare i int unsigned default 1; insert into num select i; while i*2 &lt; cnt do insert into num select			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6qZNb.html" rel="bookmark">sql语句-SQL语句创建的表不在新建的数据库中而在系统数据库中，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 SQL语句创建的表不在新建的数据库中而在系统数据库中, SQL语句创建的表不在新建的数据库中而在系统数据库中, 怎么让表在新建的数据库呢 解决方案 肯定你写错了,或者数据库连接到了系统库,或者sql中指明了写到系统库了 解决方案二: 你没写 use database; database是你的数据库 解决方案三: 创建表前,先写需要创建在哪个数据库中.USE DATABASE GO......CREATE TABLENAME() 解决方案四: 先要使用自己的数据库 use databas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGNj2p.html" rel="bookmark">网页设计技巧&colon;创建网页背景材质的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:网页设计技巧:创建网页背景材质的方法. 在网页设计中创建背景材质通常是根据设计方向展开设计的第一步,也是确定设计基调的重要环节.虽然大多数情况下,网页背景材质是非常细微和低调的,但是由于整个背景的范围较大,所以会给人强烈的心理感受.所以这篇文章中,我会就网页背景材质创建过程中常用到的方法做一总结,希望对于大家在设计中的开头步骤能够给与帮助的参考. 一.使用现成的图案来创建网页背景材质. 1.下载现成的图案样式,或者自己动手创建图案,关于如何自己创建图案,之前我写的一篇文章&lt;在Photo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBB99b.html" rel="bookmark">看实例学VFP：用sql命令创建表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是一个在vfp中使用sql命令创建表的实例.用sql命令创建表结构的格式如下: create table 表名 (字段名1 类型(宽度[,小数位]),字段名2 类型(宽度[,小数位]),-) 在看实例学VFP:示例数据库一文中已经给出了&quot;网站信息表&quot;的表结构如下表: 字段名 类型 宽度 编号 字符型 5 网站名称 字符型 12 网站网址 字符型 24 那么我要创建相同的表结构并且表名为&quot;网站信息表2&quot;的sql命令如下: create table 网站信息表2 (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVnGDYz.html" rel="bookmark">跟我学SQL：创建和修改表格</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				再次欢迎您来到SQL(结构化查询语言)基础系列教程.本文将介绍数据库定义语言(DDL)用于创建数据库和表格以及修改表格结果的指令. 当你使用这些指令时一定要小心--它很容易删去你的数据库中的主要结构令您丢失数据.所以,在您开始修改数据库之前,您需要知道数据库是什么. -------------------------------------------------------------------------------- 数据库之间的差异 本文中的样品查询系统遵循SQL92 ISO标准.并不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKEkrp.html" rel="bookmark">用BIRT实现高级图表：用基于Eclipse的BIRT创建具有专业外观的报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始之前 关于本教程 BIRT 提供了一个图表引擎,使我们能够把数据集显示为图表.还可以进一步 配置图表来支持交互操作,这样的话,当用户在图表元素(比如图表标题.图例 .轴.值系列等)上执行操作时,图表就会做出各种响应,比如显示工具提示. 弹出消息或跳到另一个报告.BIRT 可以显示以下格式的图表:PNG.JPG.BMP 或 SVG.SVG 是一种描述 2-D 矢量图形和脚本编程的 XML 规范,因此可以实现各种 交互式特性: 钻通 允许用户通过单击行.节点等图表元素从一个报告转到另一个报告.这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXwJvz.html" rel="bookmark">图片-SQL server创建新用户出现问题，如何解决？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 SQL server创建新用户出现问题,如何解决? 解决方案 XZU1是Windows登陆的用户名表现形式,要Windows(域或本机)有这个用户才行.不能从SqlServer去创建操作系统的用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5jyQM.html" rel="bookmark">数据库 sql语言-SQL Server创建存储过程&comma;计算每个同学的平均成绩并标记&OpenCurlyDoubleQuote;优秀学生&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 SQL Server创建存储过程,计算每个同学的平均成绩并标记&quot;优秀学生&quot; 如题:请用命令行创建存储过程,计算每个同学的平均成绩,写入S_AVG表,平均成绩大于85的学生,Flag标记为&quot;优秀学生&quot;,平均成绩低于60的的学生,Flag标记为&quot;延迟毕业&quot;,其他学生Flag标记为&quot;常规学生&quot;. 能查到的有关例子太少了,自学不成功,求大神解答-- 解决方案 分步做 1.计算每个同学的平均成绩,写入S_AVG表 insert			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqnn2p.html" rel="bookmark" class="title">ASP&period;NET中绑定枚举类型</a>
					<div>
						asp.net 在项目开发中好多地方用了枚举,要把枚举显示到下拉列表框中我们平常的方法就是在下拉列表控件中一个一个添加进去!这样做也行但如果我的枚举类型中的枚举值一旦改变,那么你就得满世界的去找然后再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeleVp.html" rel="bookmark" class="title">To CNET：全局热键的例子，不知道有没有用</a>
					<div>
						类Hotkey.csusing System;namespace Durius.Generics{public delegate void HotkeyEventHandler(int HotKeyI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKAlOp.html" rel="bookmark" class="title">想要做好图片优化 你一定要学会这几点</a>
					<div>
						在站长网上我们能够随处可见各位SEOer都是畅谈着网站文章的优化工作,因为大家都知道文字类型的内容是能够很好的被蜘蛛识别和抓取的.但是对于当下的互联网而言,很多的网站还是以图片为主的网站,例如说素材. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8K2VM.html" rel="bookmark" class="title">ASP备份数据库</a>
					<div>
						备份|数据|数据库 文件1:BackupDB.asp &lt;%@ Language=VBScript %&gt; &lt;HTML&gt; &lt;HEAD&gt; &lt;META name=VI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBElNz.html" rel="bookmark" class="title">360 百度纷争势必影响未来的搜索格局</a>
					<div>
						虽然周鸿祎保持360搜索的低调上市,但是上市的第二天就占据搜索市场份额的10%则让所有人看到它低调的华丽!从360搜索8月16号上市到百度22号算法更新公告再到25号百度搜索排名大变更,百度这一系列的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0j2nz.html" rel="bookmark" class="title">走近VB&period;Net&lpar;一&rpar;，VB中的族，类，对象&lpar;摘录部分MSDN&rpar;</a>
					<div>
						对象 走近VB.Net(一),VB中的族,类,对象 VB.Net是面向对象(object-oriented)的,又称为物件(object)导向(oriented).在VB.Net中所有的变量类型都是基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7GdxM.html" rel="bookmark" class="title">汇编教程之基本概念&lpar;win32&rpar;</a>
					<div>
						我们先假设您已知道了如何使用MASM.如果您还不知道的话,请下载 win32asm.exe ,并请仔细研读其中所附带的文档资料.好,如果您已准备就绪,我们这就开始吧! 理论: WIN32 程序运行在保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKWvmM.html" rel="bookmark" class="title">一个字体按钮类&lpar;WTL&rpar;</a>
					<div>
						本文打算介绍两个内容:一个是WTL中非常好用的CDialogResize模板类,能让你拖动对话框改变大小(包括控件能自动适应对话框的改变):另一个是button按钮的子类化,产生一个有立体感的字体(本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLD9Kb.html" rel="bookmark" class="title">javascript面向对象之我解</a>
					<div>
						今天要用js实现一些客户端功能,考虑到业务逻辑,使用OO的开发方式会很方便,于是认真查看了相关的几篇文章,有一些心得体会. 首先是定义类.js中定义类是使用function,实例化使用new操作符:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6m8Ez.html" rel="bookmark" class="title">Oracle数据库索引创建要做到三个适当</a>
					<div>
						在Oracle数据库中,创建索引虽然比较简单.但是要合理的创建索引则比较困难了.笔者认为,在创 建索引时要做到三个适当,即在适当的表上.适当的列上创建适当数量的索引.虽然这可以通过一句话来 概括优化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91LN4M.html" rel="bookmark" class="title">ASP出现不能打开注册表关键字的解决教程</a>
					<div>
						  如果出现如下错误: Microsoft OLE DB Provider for ODBC Drivers 错误 '80004005' [Microsoft][ODBC Microsoft Acce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rqm5p.html" rel="bookmark" class="title">word2013如何在同一窗口打开多个文档</a>
					<div>
						  word2013在同一窗口打开多个文档的步骤如下: 步骤一:打开word文档,打开两个文档,发现命名确实不一样,是两个文件. 步骤二:在视图中找到重排窗口,点击三角,发现三个重排样式. 步骤三:第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLXekb.html" rel="bookmark" class="title">win7比xp系统占用更多内存的可以关闭功能</a>
					<div>
						一模一样的电脑和软件,就只有系统不一样,如果你有对比过你会发现.系统的功能占用内存变大了很多.这是因为系统有很多功能是xp没有的,而不管功能优化的再好,只要有开东西,就肯定会占用内存.所以win7系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EPjdM.html" rel="bookmark" class="title">win8&sol;win8&period;1下ie11新选项卡设置及无法输入网银密码</a>
					<div>
						  win8/win8.1下ie11选项卡设置 1.正常打开ie10浏览器. 2.在打开的ie10浏览器中,找到上面的工具并单击,的打开的菜单栏中找到并单击&quot;Internet选项卡&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw6A3p.html" rel="bookmark" class="title">超大压缩包如何不解压调换文件</a>
					<div>
						  一年来的资料分&quot;对外&quot;和&quot;对内&quot;两个文件夹归类,然后分别压缩成&quot;对内.RAR&quot;和&quot;对外.RAR&quot;两个压缩文件包归档留 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGqvOp.html" rel="bookmark" class="title">char t-关于charAt&lpar;&rpar;的实现过程</a>
					<div>
						问题描述 关于charAt()的实现过程 import java.util.*; public class string_same { public static void main(String[] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o4gJb.html" rel="bookmark" class="title">上云实践之使用VPN网关轻松构建混合云</a>
					<div>
						在2017阿里云网络技术高峰论坛上,阿里云VPN网关产品经理奈玟分享主题&lt;使用VPN网关轻松构建混合云&gt;.奈玟,阿里云VPN网关产品经理,有七年的网络相关开发和设计经验,最开始是做传统网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YkyXM.html" rel="bookmark" class="title">javascript级联下拉列表实例代码&lpar;自写&rpar;&lowbar;javascript技巧</a>
					<div>
						Html dom 是指在w3c规范出现之前,各个浏览器支持的一些dom操作. 1,Select对象. 属性 a,selectedIndex:用户选择的选项的下标,下标从0开始 b,length: 获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj0lxp.html" rel="bookmark" class="title">有sql server2008了也有vs现在需要装2008r2提示没实例名或更新。</a>
					<div>
						问题描述 有sql server2008了也有vs现在需要装2008r2提示没实例名或更新. 我电脑里安装了sql server2008 和vs2010 2012 现在需要装sql server200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PLkZp.html" rel="bookmark" class="title">互联网科技界四巨头：苹果与Facebook潜在问题最严重</a>
					<div>
						11月12日消息,据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,在日前举行的Technonomy Confer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3JyEz.html" rel="bookmark" class="title">揭秘：中国的网络黑市</a>
					<div>
						一项最近公开的研究第一次向我们展现了中国网上黑市的规模和结构,并指出在2011年中国网上黑市影响了将近四分之一的中国网民并造成了将近50亿元人民币(约合5亿法郎)的损失. 美国加利福利亚大学全球斗争与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze63RVb.html" rel="bookmark" class="title">传微软将斥资10亿美元推广Windows 8</a>
					<div>
						新浪科技讯 北京时间10月29日晚间消息,美国&lt;广告时代&gt;(Ad Age)网站报道,微软将斥资10亿美元推广Windows 8.     如果消息属实,那么Winsows 8的营销预算将成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R6Pob.html" rel="bookmark" class="title">boost 学习笔记</a>
					<div>
						先来看看如何赋值把: #include &lt;iostream&gt; #include &lt;vector&gt; #include &lt;string&gt; #include&lt;deq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB5dmb.html" rel="bookmark" class="title">对象创建的问题</a>
					<div>
						问题描述 var TestObject = Class.create();TestObject.prototype = { data: new Array(), initialize: functio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB7Nqb.html" rel="bookmark" class="title">实战百度的SEO排名优化</a>
					<div>
						上些天拿手上的垃圾站程序作了个站这几天用他来演练了一下针对百度的SEO排名优化并且通过观察,追踪.写出自己的心得. 网站地址本来不准备贴的.但是为了给大家看实例,并且经过图王的准许贴出地址:www.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK2aZp.html" rel="bookmark" class="title">java程序</a>
					<div>
						问题描述 求&quot;编写一个程序显示一首歌的一段歌词,并标注和声部分&quot;源程序?? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlW8lp.html" rel="bookmark" class="title">用ajax实现预览链接可以看到链接的内容&lowbar;AJAX相关</a>
					<div>
						首先先看实现代码 html代码部分 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Previewing Links&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYEVqb.html" rel="bookmark" class="title">JavaScript中校验银行卡号的实现代码&lowbar;javascript技巧</a>
					<div>
						1.先引入jquery.js 2.接着引入luhmCheck.js //银行卡号Luhm校验 3.看下面的案例: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLEDjM.html" rel="bookmark" class="title">android自定义进度条渐变圆形&lowbar;Android</a>
					<div>
						在安全卫生上,经常看到有圆形的进度条在转动,效果非常好看,于是就尝试去实现一下,具体实现过程不多说了,直接上效果图,先炫耀下. 效果图: 分析:比较常见于扫描结果.进度条等场景 利用canvas.dr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZABNz.html" rel="bookmark" class="title">Python中使用wxPython开发的一个简易笔记本程序实例&lowbar;python</a>
					<div>
						一.简介 wxPython是Python语言的一套优秀的GUI图形库,允许Python程序员很方便的创建完整的.功能键全的GUI用户界面. wxPython是作为优秀的跨平台GUI库wxWidgets ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
